Search found 288 matches

Go to advanced search

by chakkree
Thu Aug 15, 2019 4:31 am
Forum: Open discussion
Topic: Automate Reinforcement GSoC proposal
Replies: 197
Views: 12349

Re: Automate Reinforcement GSoC proposal

From your dialog, I have some question.
1. How do I set the top rebars with L-shaped, "2-DB20"?
2. How do I set the bottom rebars with straight-rebar, "2-DB20"?

Beam02.png
Beam02.png (253.08 KiB) Viewed 381 times
BeamSection.png
BeamSection.png (30.76 KiB) Viewed 381 times
beam02.FCStd
(61.69 KiB) Downloaded 17 times
by chakkree
Thu Aug 01, 2019 5:53 am
Forum: Open discussion
Topic: Solving Beam Bending with SymPy
Replies: 9
Views: 631

Re: Solving Beam Bending with SymPy

Test Continuous beam with 2 spans. Uniform load all 1000. SymPy-ContBeam2Span.png Source Code from sympy.physics.continuum_mechanics.beam import Beam from sympy import symbols L1 = 4.0 L2 = 3.0 E, I = symbols('E, I') R1, R2 , R3 = symbols('R1, R2, R3') b = Beam(L1+L2, E, I) b.apply_load(R1, 0, -1) b...
by chakkree
Wed Jul 31, 2019 6:18 am
Forum: Open discussion
Topic: Solving Beam Bending with SymPy
Replies: 9
Views: 631

Re: Solving Beam Bending with SymPy

Kunda1 wrote:
Tue Jul 30, 2019 10:56 pm
Can you share source?
I already re-edit.
by chakkree
Tue Jul 30, 2019 4:01 pm
Forum: Open discussion
Topic: Solving Beam Bending with SymPy
Replies: 9
Views: 631

Re: Solving Beam Bending with SymPy

Wow! SymPy-SimpleBeam.png Source Code. (installed SymPy before used) from sympy.physics.continuum_mechanics.beam import Beam from sympy import symbols E, I = symbols('E, I') R1, R2 = symbols('R1, R2') b = Beam(4, E, I) b.apply_load(R1, 0, -1) b.apply_load(-1000, 0, 0) b.apply_load(R2, 4, -1) b.bc_de...
by chakkree
Sun Jun 02, 2019 10:09 am
Forum: Open discussion
Topic: Automate Reinforcement GSoC proposal
Replies: 197
Views: 12349

Re: Automate Reinforcement GSoC proposal

The group of rebar is not a child of structure. but Amrit's picture is inside a column. TestSingleTieFourRebar01.png OS: Windows 10 Word size of OS: 64-bit Word size of FreeCAD: 64-bit Version: 0.19.16687 (Git) Build type: Release Branch: master Hash: ff1fb11af15a7c5f7f0ba3ef79588e128f397c2c Python ...
by chakkree
Sun Jun 02, 2019 10:03 am
Forum: Open discussion
Topic: Automate Reinforcement GSoC proposal
Replies: 197
Views: 12349

Re: Automate Reinforcement GSoC proposal

Suraj Dadral wrote:
Sat Jun 01, 2019 1:27 pm
Hi @chakkree
Try using latest branch "automate"

Thanks,
Ok, from your branch, I can run to create rebar in a column and can be re-edit

TestSingleTieFourRebar.png
TestSingleTieFourRebar.png (437.99 KiB) Viewed 406 times
by chakkree
Sat Jun 01, 2019 8:43 am
Forum: Open discussion
Topic: Automate Reinforcement GSoC proposal
Replies: 197
Views: 12349

Re: Automate Reinforcement GSoC proposal

After I fixed "SingleTie.py" by insert "import FreeCAD". The Dialog is shown, but when I click "Apply" button, Rebar is not insert to the column TestColumnDialog.png OS: Windows 10 Word size of OS: 64-bit Word size of FreeCAD: 64-bit Version: 0.19.16687 (Git) Build type: Release Branch: master Hash:...
by chakkree
Sat Jun 01, 2019 8:34 am
Forum: Open discussion
Topic: Automate Reinforcement GSoC proposal
Replies: 197
Views: 12349

Re: Automate Reinforcement GSoC proposal

When I click on "Column Reinforcement" toolbars, In "Report View" window show error as below.


\Reinforcement\ColumnReinforcement\SingleTie.py", line 29, in <module>
if FreeCAD.GuiUp:

name 'FreeCAD' is not defined
by chakkree
Sat May 04, 2019 6:07 pm
Forum: Open discussion
Topic: Automate Reinforcement GSoC proposal
Replies: 197
Views: 12349

Re: Automate Reinforcement GSoC proposal

Traceback (most recent call last): File "<input>", line 18, in <module> File "C:\Users\User1\AppData\Roaming\FreeCAD\Mod\Reinforcement\ColumnReinforcement\SingleTie.py", line 227, in makeSingleTieFourRebars l_rebar_orientation_cover = getLRebarOrientationCover( NameError: name 'getLRebarOrientation...
by chakkree
Fri May 03, 2019 4:02 am
Forum: Draft, Arch & BIM
Topic: rebar based on wire
Replies: 25
Views: 1071

Re: rebar based on wire

Test to change rebar's shape by set new points vector to wire. Test_Rebar_without_Host_02.png """ Word size of FreeCAD: 64-bit Version: 0.19.16616 (Git) Python version: 3.6.6 """ from FreeCAD import Vector import FreeCADGui def changeUShapeRebar(A= 300 , B=1000 , C=300, RebarEndType = 0 ,dia=12): se...

Go to advanced search